Page MenuHomePhabricator

Support data.get() with optional language param
Closed, ResolvedPublic

Description

When requesting tabular data from Lua, user should be able to

  • get( pagename ) -- gets tabular data localized to the current wiki's language
  • get( pagename, true ) -- gets tabular data with all language variants
  • get( pagename, langcode ) -- gets tabular data for a given language

Event Timeline

Yurik created this task.Oct 25 2016, 11:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2016, 11:57 PM
Yurik updated the task description. (Show Details)Oct 25 2016, 11:58 PM

Change 318116 had a related patch set uploaded (by Yurik):
Add Lua support for language parameter

https://gerrit.wikimedia.org/r/318116

MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.Oct 26 2016, 6:27 PM

Change 318116 merged by jenkins-bot:
Add Lua support for language parameter

https://gerrit.wikimedia.org/r/318116

debt closed this task as Resolved.Oct 27 2016, 9:26 PM